.main-content {
  font-family: Arial, sans-serif;
}

.floating-label-group {
  position: relative;
  margin-bottom: 25px;
}

.floating-label-group input {
  width: 100%;
  padding: 27px !important;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 18px;
  outline: none;
}

.floating-label-group input:focus {
  border: 1px solid #ccc;
  box-shadow: none;
}

.floating-label-group label {
  position: absolute;
  top: 50%;
  left: 12px;
  transform: translateY(-50%);
  background-color: transparent;
  padding: 0 5px;
  color: #888;
  pointer-events: none;
  transition: 0.2s ease all;
}

.floating-label-group input:focus + label,
.floating-label-group input:not(:placeholder-shown) + label {
  top: 0px;
  left: 10px;
  font-size: 12px;
  color: #222;
  background: white;
}

.input-icon {
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
  color: #888;
  cursor: pointer;
}

.input-group-custom {
  position: relative;
}

.btn-login {
  background-color: #222;
  color: #fff;
  border-radius: 10px;
  padding: 13px;
  font-weight: bold;
  letter-spacing: 1px;
  transition: background-color 0.3s;
}

.btn-login:hover {
  background-color: #000;
}

.form-text-link {
  font-size: 0.875rem;
  text-align: right;
  margin-top: 5px;
}

.create-account {
  margin-top: 15px;
  font-size: 0.9rem;
}

a {
  color: black;
  text-decoration: none;
  transition: color 0.3s;
}

a:hover {
  color: #555;
}

h2.mb-2 {
  font-size: 36px;
  font-weight: normal;
}

p.text-muted {
  margin-bottom: 5vh;
  color: #6c757d;
}

button.btn.btn-login.w-100 {
  width: 100%;
  margin-top: 2vh;
}

main.main-content {
  text-align: center;
  width: 50%;
  margin: 5vh auto;
  padding: 20px;
}

.error-message {
  color: #dc3545;
  margin-bottom: 15px;
  font-size: 14px;
}

@media screen and (max-width: 992px) {
  main.main-content {
    width: 90%;
  }


}
